
package com.duapps.triggerdemo;

import android.app.Application;
import android.content.Context;
import android.util.Log;

import com.duapps.ad.base.DuAdNetwork;
import com.swipe.SwipeMgr;

import java.io.BufferedInputStream;
import java.io.ByteArrayOutputStream;
import java.io.Closeable;
import java.io.IOException;

public class DemoApplication extends Application {

    @Override
    public void onCreate() {
        super.onCreate();
        DuAdNetwork.init(this, getConfigJSON(getApplicationContext()));
        SwipeMgr.onAppStart(this);
        SwipeMgr.getInstance().setAdSid(10032);
    }

    private static String TOOLBOX_AD_CONFIG = "dxtoolbox.json";

    private String getConfigJSON(Context context) {
        BufferedInputStream bis = null;
        ByteArrayOutputStream bos = new ByteArrayOutputStream();
        try {
            bis = new BufferedInputStream(context.getAssets().open(
                    TOOLBOX_AD_CONFIG));
            byte[] buffer = new byte[4096];
            int readLen = -1;
            while ((readLen = bis.read(buffer)) > 0) {
                bos.write(buffer, 0, readLen);
            }
        } catch (IOException e) {
            Log.e("", "IOException :" + e.getMessage());
        } finally {
            closeQuietly(bis);
        }

        return bos.toString();
    }

    private void closeQuietly(Closeable closeable) {
        if (closeable == null) {
            return;
        }
        try {
            closeable.close();
        } catch (IOException e) {
            // empty
        }
    }
}
